import axios from "../../utils/axios";

export function getMAOrderList(params) {
    return axios({
        url: "/inv/MA/order/filterList",
        method: "get",
        params: params
    });
}

export function addOrder(data) {
    return axios({
        url: "/inv/MA/order/addOrder",
        method: "post",
        data: data
    });
}

export function updateOrder(data) {
    return axios({
        url: "/inv/MA/order/update",
        method: "post",
        data: data
    });
}

export function submitAudit(data) {
    return axios({
        url: "/inv/MA/order/submitAudit",
        method: "post",
        data: data
    });
}

export function updateStatus(data) {
    return axios({
        url: "/inv/MA/order/updateStatus",
        method: "post",
        data: data
    });
}

export function deleteOrder(data) {
    return axios({
        url: "/inv/MA/order/delete",
        method: "post",
        data: data
    });
}

export function getMAOrderDetailList(params) {
    return axios({
        url: "/inv/MA/order/detail/filterList",
        method: "get",
        params: params
    });
}

export function addOrderDetail(data) {
    return axios({
        url: "/inv/MA/order/detail/addOrderDetail",
        method: "post",
        data: data
    });
}

export function batchAddDetail(data) {
    return axios({
        url: "/inv/MA/order/detail/batchAddDetail",
        method: "post",
        data: data
    });
}

export function deleteDetail(data) {
    return axios({
        url: "/inv/MA/order/detail/delete",
        method: "post",
        data: data
    });
}

export function updateDetail(data) {
    return axios({
        url: "/inv/MA/order/detail/update",
        method: "post",
        data: data
    });
}
